package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum EPersonalServiceStatus {
    /**
     * 已申请
     */
    APPLIED_FOR(1, "已申请", 0, EnumsPrefixConstants.PERSONAL_STATUS + "1"),

    /**
     * 已通过
     */
    PASSED(2, "已通过", 0, EnumsPrefixConstants.PERSONAL_STATUS + "2"),

    /**
     * 已驳回
     */
    REJECTED(3, "已驳回", 0, EnumsPrefixConstants.PERSONAL_STATUS + "3");

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    /**
     * 根据值获取枚举
     *
     * @param value
     * @return
     */
    public static EPersonalServiceStatus getEnumByValue(int value) {
        for (EPersonalServiceStatus enums : EPersonalServiceStatus.values()) {
            if (enums.getValue() == value) {
                return enums;
            }
        }
        return null;
    }
}
